%define ver     0.95
%define tarver  0.95.0
%define rel     alt1

Name: gammu
Version: %ver
Release: %rel

Summary: Mobile phones management utility
Summary(ru_RU.KOI8-R):      
License: GPL
Group: Communications
Url: http://www.mwiacek.com/gsm/gammu/gammu.html

Packager: Dmitry Vukolov <dav@altlinux.ru>

Source: http://www.mwiacek.com/zips/gsm/%name/older/%name-%tarver.tar.bz2

Patch1: %name-0.94.0-alt-configure-rpm.patch
Patch2: %name-079-alt-lock-path.patch
Patch3: %name-0.94.0-alt-makefile-pic.patch
Patch4: %name-0.95.0-alt-configure-libmysqlclient.patch

Requires: lib%name = %version-%release

BuildPreReq: libbluez-devel >= 2.0

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}
%def_without mysql
%{?_with_mysql:BuildPreReq: libMySQL-devel}

%description
Gammu can do such things with cellular phones as making data calls, updating
the address book, changing calendar and ToDo entries, sending and receiving SMS
messages, loading and getting ring tones and pictures (different types of
logos), synchronizing time, enabling NetMonitor, managing WAP settings and
bookmarks and much more (available functions depend on the phone model). It can
also make full backups and restore them.

It currently supports many Nokia phones and AT devices (such as Siemens,
Alcatel, Falcom, WaveCom, IPAQ, and other).

%description -l ru_RU.KOI8-R
Gammu --       .   
  Gammu :  ,   ,
     ,    
 (SMS),          
 (  ),  , 
NetMonitor,   WAP,   ݣ   .
 , Gammu        c
     .

       Nokia  
,  AT- (   Siemens, Alcatel, Falcom,
WaveCom, IPAQ  ..)

%package -n lib%name
Summary: Libraries used by "%name"
Summary(ru_RU.KOI8-R):     "%name"
Group: System/Libraries

%description -n lib%name
Libraries needed for "%name".

%description -n lib%name -l ru_RU.KOI8-R
,    "%name".

%package -n lib%name-devel
Summary: Headers to compile against the "lib%name" library
Summary(ru_RU.KOI8-R):       "lib%name"
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains all files which one needs to compile programs using
the "lib%name" library.

%description -n lib%name-devel -l ru_RU.KOI8-R
   ,    , 
 "lib%name".

%package -n lib%name-devel-static
Summary: Static %name library
Summary(ru_RU.KOI8-R):   %name
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static %name library.

%description -n lib%name-devel-static -l ru_RU.KOI8-R
     %name.

%define _gammu_docdir %_defaultdocdir/%name-%version

%prep
%setup -q -n %name-%tarver

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%def_without 7110incoming
# The 'configure' wrapper script should take care of calling autoconf
%configure --with-docdir=%_gammu_docdir \
        %{subst_enable static} \
        %{subst_with mysql} \
        %{?_with_7110incoming: --enable-7110incoming}
%make_build shared

%install
%make installshared DESTDIR=%buildroot
%__mkdir_p %buildroot%_sysconfdir
%__sed -e 's|^port =.*$|port = /dev/ttyS0|' \
         -e 's|^connection =.*$|connection = dlr3|' \
         -e 's|^#use_locking =.*$|use_locking = yes|' \
         -e 's/
$//' \
         < docs/examples/config/%{name}rc > %buildroot%_sysconfdir/%{name}rc
%__chmod 644 %buildroot%_sysconfdir/%{name}rc

%__rm -f lang.files
for f in docs/docs/locale/%{name}_*.txt; do
        echo $f | sed 's:^.*\(%{name}_\)\(.*\)\(\.txt\)$:%%lang(\2) %_datadir/%name/\1\2\3:' >> lang.files
done

%__install -pD -m755 other/config/%name-config %buildroot%_gammu_docdir/other/config/%name-config
%__mkdir_p %buildroot%_gammu_docdir/other/basic
%__mkdir_p %buildroot%_gammu_docdir/other/smsdutil
%__install -p -m644 other/basic/* %buildroot%_gammu_docdir/other/basic
%__install -p -m755 other/smsdutil/* %buildroot%_gammu_docdir/other/smsdutil

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files -f lang.files
%_bindir/*
%config(noreplace) %_sysconfdir/%{name}rc
%dir %_datadir/%name

%doc %_mandir/man1/*
%docdir %_gammu_docdir
%dir %_gammu_docdir
%_gammu_docdir/changelog
%_gammu_docdir/copying
%_gammu_docdir/readme.txt
%_gammu_docdir/examples
%_gammu_docdir/other
%dir %_gammu_docdir/docs
%_gammu_docdir/docs/english
%lang(it) %_gammu_docdir/docs/italian
%exclude %_gammu_docdir/docs/english/replace.txt

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Wed May 05 2004 Dmitry Vukolov <dav@altlinux.ru> 0.95-alt1
- new version
- for MySQL support rebuild using --with-mysql option (disabled by default)

* Fri Mar 05 2004 Dmitry Vukolov <dav@altlinux.ru> 0.94-alt1
- new version

* Tue Feb 10 2004 Dmitry Vukolov <dav@altlinux.ru> 0.93-alt1
- new version

* Sun Jan 04 2004 Dmitry Vukolov <dav@altlinux.ru> 0.92-alt1
- new version

* Fri Dec 26 2003 Dmitry Vukolov <dav@altlinux.ru> 0.91-alt1
- new version

* Sat Nov 29 2003 Dmitry Vukolov <dav@altlinux.ru> 0.90-alt1
- new version
- new package: lib%name-devel-static (disabled by default)
- added "--enable static" support to the spec
- updated makefile-pic patch
- also package %name-config, smsdutil and %{name}gui

* Thu Nov 13 2003 Dmitry Vukolov <dav@altlinux.ru> 0.89-alt1
- new version
- added makefile-pic patch to get rid of text relocations in libGammu.so

* Mon Nov 03 2003 Dmitry Vukolov <dav@altlinux.ru> 0.88-alt1
- new version
- spec file corrections

* Mon Oct 20 2003 Dmitry Vukolov <dav@altlinux.ru> 0.87-alt1
- new version
- makefile-ldlibs patch merged upstream
- added "--with 7110incoming" support to the spec

* Sun Oct 12 2003 Dmitry Vukolov <dav@altlinux.ru> 0.86-alt1
- new version
- configure patch updated
- added makefile-ldlibs patch
- pkgconfig support
- updated BuildRequires

* Fri Oct 03 2003 Dmitry Vukolov <dav@altlinux.ru> 0.85-alt1
- new version

* Thu Sep 18 2003 Dmitry Vukolov <dav@altlinux.ru> 0.84-alt1
- new version
- corrected dependencies

* Tue Sep 09 2003 Dmitry Vukolov <dav@altlinux.ru> 0.83-alt1
- version 0.83
- added package lib%name-devel
- make use of the %%lang macro

* Tue Aug 05 2003 Dmitry Vukolov <dav@altlinux.ru> 0.81-alt1
- new version

* Sun Jul 27 2003 Dmitry Vukolov <dav@altlinux.ru> 0.80-alt1
- new version

* Thu Jul 10 2003 Dmitry Vukolov <dav@altlinux.ru> 0.79-alt1
- initial build for Sisyphus
- lock-path & configure patches

